cURL
curl --request GET \
--url https://{server}/api/transfers/import requests
url = "https://{server}/api/transfers/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{server}/api/transfers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_content_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bytes_transferred": 123,
"expires_at": "2023-11-07T05:31:56Z",
"initiated_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_content_title": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repository_name": "<string>",
"total_bytes": 0,
"direction_supports_progress": true,
"delivery_target": "<unknown>",
"claimed_by_endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimed_endpoint_name": "<string>",
"lease_expires_at": "2023-11-07T05:31:56Z"
}
]
}GET
/
api
/
transfers
/
cURL
Query Parameters
Allowlisted ordering key; prefix with "-" for descending.
Defaults to "user". Pass "all" for debug/admin views.
Available options:
all, system, user Case-insensitive substring match on asset title.
Comma-separated list, e.g. "pending,in_progress".
Available options:
download, upload ⌘I